merge fftw3 3.3.3-1 from debian experimental

Bug #1088051 reported by Julian Taylor on 2012-12-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fftw3 (Ubuntu)
Wishlist
Unassigned

Bug Description

the new upstream release offers a few performance improvements for avx and neon and packaging now includes quad precision libraries and finer grained packages.
Attached the debdiff against the debian version.

The transitional package libfftw3-3 depends on the single and double packages so no explicit transition is needed
Some high popcon packages should be rebuilt to save some space and bandwidth (e.g. imagemagick)
(nothing in ubuntu links against the long double symbols so the libfftw3-3 does not depend on it)

fftw3 (3.3.3-1) experimental; urgency=low

  * New upstream release (Closes: #694401)
  * split the precision libraries into separate packages:
    - libfftw3-single3: single precision
    - libfftw3-double3: double precision
    - libfftw3-long3: long double precision
    - libfftw3-quad3: quad precision (Closes: #691677)
    - libfftw3-3: transitional package depending on single and double
    - libfftw3-dev: depends on all precisions
    - libfftw3-mpi3: continues to contain all precisions
  * Acknowledge NMU, thanks Ansgar Burchardt
  * add debian/source/extended-diff-ignore to ignore generated files
  * add hardening flags to long long test so build log check does not complain
  * drop --with-gcc-arch configure flag, has no effect anymore
  * use dh-autoreconf
  * Bump to standards 3.9.4, no changes required
  * add .NOTPARALLEL to debian/rules
  * escape minus signs in 03_fix_manpages.diff
  * pkg-config.patch: move -lm to Libs.private
  * delete obsolete and disabled 10_uptodate_configure.diff
  * don't install tests as examples, they are not good examples and won't
    compile without files in the source tree

Julian Taylor (jtaylor) wrote :
Benjamin Drung (bdrung) wrote :

Thanks. Uploaded with this bug number added to your changelog entry.

Changed in fftw3 (Ubuntu):
importance: Undecided → Wishlist
status: New → Fix Committed
Julian Taylor (jtaylor) wrote :

I forgot to restrict the architectures of libfftw3-dev which makes it uninstallable on the non x86 arches.
I fixed in debian.
attached the merge debdiff ontop of 3.3.3-1ubuntu1

Benjamin Drung (bdrung) wrote :

Uploaded.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fftw3 - 3.3.3-2ubuntu1

---------------
fftw3 (3.3.3-2ubuntu1) raring; urgency=low

  * Merge with Debian (LP: #1088051), remaining changes:
    - remove the mpi packages not suitable for main

fftw3 (3.3.3-2) experimental; urgency=low

  * restrict architectures of libfftw3-dev dependencies on -quad3 and -long3
  * don't build docs in parallel, sometimes leads to broken faq
 -- Julian Taylor <email address hidden> Mon, 10 Dec 2012 10:30:19 +0100

Changed in fftw3 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers